Upsert Rubric
curl --request PUT \
--url https://{host}/api/rubrics/{owner}/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"criteria": [
{
"name": "<string>",
"weight": 1,
"description": ""
}
],
"description": "",
"scale_min": 0,
"scale_max": 1,
"visibility": "private"
}
'import requests
url = "https://{host}/api/rubrics/{owner}/{name}"
payload = {
"name": "<string>",
"criteria": [
{
"name": "<string>",
"weight": 1,
"description": ""
}
],
"description": "",
"scale_min": 0,
"scale_max": 1,
"visibility": "private"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
criteria: [{name: '<string>', weight: 1, description: ''}],
description: '',
scale_min: 0,
scale_max: 1,
visibility: 'private'
})
};
fetch('https://{host}/api/rubrics/{owner}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create or update a rubric. An update bumps version, retiring its cached scores.
PUT
/
api
/
rubrics
/
{owner}
/
{name}
Upsert Rubric
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Required string length:
1 - 128Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_.-]*$Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Maximum string length:
4000Pattern:
^(private|public)$响应
Successful Response